<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/
function putFile($server, $user, $pass, $remote, $local)
{
  if(!$id = ftp_connect($server)){
    echo("Błąd przy próbie połączenia z serwerem...\n");
    exit;
  }
  if(!ftp_login($id, $user, $pass)){
    echo("Błąd przy próbie zalogowania...\n");
    exit;
  }
  echo("Połączenie z serwerem ustanowione...\n");

  if(!ftp_put ($id, $remote, $local, FTP_BINARY)){
    echo("Błąd przy próbie wysłania pliku $local...\n");
    exit;
  }
  echo("Plik $local został wysłany...\n");

  ftp_close($id);
  echo("Koniec połączenia...\n");
}
putFile("nazwa.serwera", "użytkownik", "hasło", "plik lokalny", "plik zdalny");
?>
